Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# query.h File Reference

Defines a class for building and executing SQL queries. More...

`#include "common.h"`
`#include "noexceptions.h"`
`#include "qparms.h"`
`#include "querydef.h"`
`#include "result.h"`
`#include "row.h"`
`#include "stadapter.h"`
`#include <deque>`
`#include <iomanip>`
`#include <list>`
`#include <map>`
`#include <set>`
`#include <vector>`

Go to the source code of this file.

## Namespaces
namespace | mysqlpp
## Classes
class | mysqlpp::Query
| A class for building and executing SQL queries. More...
## Functions
std::ostream & | operator<< (std::ostream &os, Query &q)
| Insert raw query string into the given stream.

## Detailed Description

Defines a class for building and executing SQL queries.

## Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | Query & | q
| ) | `[inline]`

| Insert raw query string into the given stream. This is just syntactic sugar for Query::str(void)